Bug 225582 - lang/rust: update to 1.24
Summary: lang/rust: update to 1.24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Rust Team
URL:
Keywords: needs-patch
Depends on:
Blocks: 225994
  Show dependency treegraph
 
Reported: 2018-01-31 12:23 UTC by Jan Beich
Modified: 2018-02-20 10:41 UTC (History)
2 users (show)

See Also:
dumbbell: maintainer-feedback+


Attachments
-C target-cpu fixes (17.65 KB, patch)
2018-01-31 12:23 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-01-31 12:23:47 UTC
Created attachment 190218 [details]
-C target-cpu fixes

Firefox 60 (scheduled on 2018-05-07) will require Rust 1.24 to build. To avoid MFH pain the port needs to be updated before 2018Q2 is branched.
Comment 1 Jan Beich freebsd_committer 2018-02-14 08:43:52 UTC
Comment on attachment 190218 [details]
-C target-cpu fixes

textproc/ripgrep part is obsolete after ports r461765.
Comment 2 commit-hook freebsd_committer 2018-02-19 21:53:45 UTC
A commit references this bug:

Author: dumbbell
Date: Mon Feb 19 21:53:01 UTC 2018
New revision: 462350
URL: https://svnweb.freebsd.org/changeset/ports/462350

Log:
  lang/rust: Update to 1.24.0

  The announcement is available on Rust blog:
  https://blog.rust-lang.org/2018/02/15/Rust-1.24.html

  PR:		225582

Changes:
  head/lang/rust/Makefile
  head/lang/rust/distinfo
  head/lang/rust/files/patch-src_librustc__llvm_build.rs
Comment 3 Jean-Sébastien Pédron freebsd_committer 2018-02-19 21:57:09 UTC
I just committed the update to lang/rust to bump it to 1.24.0.

Do you need anything else from me for this PR?
Comment 4 commit-hook freebsd_committer 2018-02-19 22:16:09 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb 19 22:15:32 UTC 2018
New revision: 462352
URL: https://svnweb.freebsd.org/changeset/ports/462352

Log:
  www/firefox: unbreak custom CPUTYPE with Rust 1.24

  error[E0442]: intrinsic return value has wrong type: found vector with length 32, expected length 4
    --> third_party/rust/simd/src/x86/avx2.rs:45:5
     |
  45 |     fn x86_mm256_sad_epu8(x: u8x32, y: u8x32) -> u8x32;
     |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

  PR:		225582

Changes:
  head/www/firefox/files/patch-bug1433747
  head/www/waterfox/files/patch-bug1433747
Comment 5 Jean-Sébastien Pédron freebsd_committer 2018-02-20 09:24:51 UTC
Thank you!

Should we close this PR?
Comment 6 Jan Beich freebsd_committer 2018-02-20 10:21:16 UTC
Yep. No more issues.